|  | Home | Documentation | soap_cookie Struct Reference updated Mon Mar 24 2025 by Robert van Engelen |

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_cookie Struct Reference
HTTP cookie functions

Cookie structure. More...

## Public Attributes
struct soap_cookie * | next
| next cookie in linked list or NULL More...
char * | name
| cookie name More...
char * | value
| cookie value More...
char * | domain
| cookie domain More...
char * | path
| cookie path More...
ULONG64 | expire
| local time to expire (value cast to time_t) More...
long | maxage
| server-side: seconds to expire More...
unsigned int | version
| cookie version value More...
short | secure
| HTTPS secure cookie. More...
short | session
| server-side: this is session cookie More...
short | env
| server-side: got cookie from a client, do not sent to clients More...
short | modified
| server-side: client cookie was modified and should be sent to clients More...

## Detailed Description

Cookie structure.

Each `soap` context has its own independent cookie store with up to `soap::cookie_max` cookies.

## Member Data Documentation

char* soap_cookie::domain

cookie domain

short soap_cookie::env

server-side: got cookie from a client, do not sent to clients

ULONG64 soap_cookie::expire

local time to expire (value cast to time_t)

long soap_cookie::maxage

server-side: seconds to expire

short soap_cookie::modified

server-side: client cookie was modified and should be sent to clients

char* soap_cookie::name

cookie name

struct soap_cookie* soap_cookie::next

next cookie in linked list or NULL

char* soap_cookie::path

cookie path

short soap_cookie::secure

HTTPS secure cookie.

short soap_cookie::session

server-side: this is session cookie

char* soap_cookie::value

cookie value

unsigned int soap_cookie::version

cookie version value